{ config, pkgs, lib, ... }:
{
  fileSystems = {
    "/export/riker-backup" = {
      device = "/tank/backup/riker";
      options = [ "bind" ];
    };
  };

  # Enable nfs4 only
  # services.nfs.server = {
  #   enable = true;
  #   exports = ''
  #     /export                   192.168.10.67(rw,fsid=0,no_subtree_check)
  #     /export/riker-backup      192.168.10.67(rw,nohide,no_subtree_check,no_root_squash)
  #   '';
  # };

  networking.firewall.allowedTCPPorts = [ 111 2049 20048 ];
  networking.firewall.allowedUDPPorts = [ 111 20048];
}
