{ config, pkgs, lib, ... }:
{
  services.postgresql = {
    enable = true;
    enableTCPIP = false;
  };

  services.postgresqlBackup = {
    enable = true;
    location = "/tank/backup/postgresql";
    startAt = "*-*-* 03:15:00";

    # Each service is registered in its own configuration file
    databases = [ ];
  };

  environment.systemPackages = [ config.services.postgresql.package ];
}
